## com.baidubce.services.bos.model
Class UploadPartResponse

    java.lang.Object
      com.baidubce.services.bos.model.UploadPartResponse

    public class UploadPartResponse

extends Object

Contains the details returned from Baidu Bos after calling the UploadPart operation.

Constructor Summary
`UploadPartResponse()`

Method Summary
`String` `getETag()` Returns the entity tag of the newly uploaded part.
`PartETag` `getPartETag()` Returns an identifier which identifies the upload part by its part number and the entity tag computed from the part's data.
`int` `getPartNumber()` Returns the part number of the newly uploaded part.
`void` `setETag(String eTag)` Sets the entity tag of the newly uploaded part.
`void` `setPartNumber(int partNumber)` Sets the part number of the newly uploaded part.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadPartResponse

    public UploadPartResponse()

Method Detail

### getPartNumber

    public int getPartNumber()

  Returns the part number of the newly uploaded part.

  Returns:
    The part number of the newly uploaded part.

### setPartNumber

    public void setPartNumber(int partNumber)

  Sets the part number of the newly uploaded part.

  Parameters:
    `partNumber` - the part number of the newly uploaded part.

### getETag

    public String getETag()

  Returns the entity tag of the newly uploaded part. The entity tag is needed later when the multipart upload is completed.

  Returns:
    the entity tag of the newly uploaded part.

### setETag

    public void setETag(String eTag)

  Sets the entity tag of the newly uploaded part.

  Parameters:
    `eTag` - the entity tag of the newly uploaded part.

### getPartETag

    public PartETag getPartETag()

  Returns an identifier which identifies the upload part by its part number and the entity tag computed from the part's data. This information is later needed to complete a multipart upload.

  Returns:
    An identifier which identifies the upload part by its part number and the entity tag computed from the part's data.

Copyright © 2016. All rights reserved.